Method: logTypes.search

Full name: projects.locations.instances.logTypes.search

Lists LogTypes with their Parsers.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/logTypes:search

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent instance. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of results to return. The service may return fewer than this value. The maximum value is 1000; values above 1000 will be coerced to 1000. If unspecified, at most 50 results will be returned.

pageToken

string

Optional. A page token, received from a previous logTypes.search call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to logTypes.search must match the call that provided the page token.

filter

string

Optional. Standard AIP-160 filter string. Operates on the fields of the LogTypeResult message (e.g., logType and parsers). Example: parsers.state : "ACTIVE" AND parsers.creator.source : "GOOGLE"

orderBy

string

Optional. A comma-separated list of fields to order by, following AIP-132. Example: logType.display_name desc

Request body

The request body must be empty.

Response body

Response message for logTypes.search.

If successful, the response body contains data with the following structure:

JSON representation
{
  "logTypeResults": [
    {
      object (LogTypeResult)
    }
  ],
  "totalSize": integer,
  "nextPageToken": string
}
Fields
logTypeResults[]

object (LogTypeResult)

The list of results matching the search criteria.

totalSize

integer

Total size of search results returned.

nextPageToken

string

Token to retrieve the next page of results.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.logTypes.search

For more information, see the IAM documentation.

LogTypeResult

A projection message joining LogType and its Parsers.

JSON representation
{
  "logType": {
    object (LogType)
  },
  "parsers": [
    {
      object (Parser)
    }
  ]
}
Fields
logType

object (LogType)

The LogType resource metadata.

parsers[]

object (Parser)

The collection of Parsers for this LogType matching the filters.